[Réglé] Possible installation de phpbb3.1.7 sur un forum en 3.0.10 ?

Forum concernant les demandes de support pour tout problème de mise à jour d'un forum phpBB 3.1.x depuis une version antérieure ou d'une conversion de phpBB2 ou phpBB3 vers phpBB 3.1

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.

[Réglé] Possible installation de phpbb3.1.7 sur un forum en 3.0.10 ?

Messagepar Myrphak » 02 Avr 2016 à 02:44

Bonjour à tous !

J'ai un vieux forum que j'aimerais remettre à jours tant au niveau de son apparence qu'au niveau de sa version phpbb.

Le problème c'est que je ne voudrais pas perdre tous les posts/images qu'on a dessus et que je ne suis pas certain du tout qu'une "simple" mise à jours suffise pour passer de phpbb 3.0.10 à phpbb 3.1.7 sans heurts sachant que j'avais activé quelque mods dessus.

Pouvez me confirmer la marche à suivre pour installer la dernière version de phpbb (3.1.7 en fr) sur mon forum sans rien perdre ?

Merci d'avance :]
Myrphak
Apprenti-posteur
Apprenti-posteur
 
Messages: 157
Enregistré le: 06 Fév 2014 à 00:10

Re: Possible installation de phpbb3.1.7 sur un forum en 3.0.10 ?

Messagepar Steph » 02 Avr 2016 à 08:38

Salut,

Votre sujet a été déplacé par un membre de l'équipe.

Tu trouveras ce qu'il te faut dans notre documentation : [3.1.x] Mise à niveau de phpBB 3.0.x vers 3.1.x

Nous suggérons généralement de monter en version par palier, dans ton cas 3.0.10 vers 3.0.11 puis 3.0.12, etc. (documentation : Mise à jour)

En passant à la version 3.1.x, tu vas perdre tes MODs donc assures toi de trouver ce dont tu as besoin en extension avant de faire la mise à niveau.
Avatar de l’utilisateur
Steph
Administrateur
Administrateur
 
Messages: 18397
Enregistré le: 29 Déc 2008 à 16:48
Localisation: Alsace / Bas-Rhin / France

Re: Possible installation de phpbb3.1.7 sur un forum en 3.0.10 ?

Messagepar Myrphak » 02 Avr 2016 à 14:53

Ho, je vois.

Merci pour les liens 8)

Si j'ai modifié des fichier php pour y faire apparaitre un chat, ça va se passer comment concrètement ?
Normalement si j'ai bien suivis, ça ne devrait pas bouger tant que je fais évoluer la version 3.0.x mais il devrait disparaitre quand je passerais à la 3.1.x ?

Ensuite, questions bêtes : on fait une sauvegarde de la base de donnée comment ? Et où est le répertoire contenant les fichiers de mon forum dans l'arborescence ?
Modifié en dernier par Myrphak le 02 Avr 2016 à 15:29, modifié 2 fois.
Myrphak
Apprenti-posteur
Apprenti-posteur
 
Messages: 157
Enregistré le: 06 Fév 2014 à 00:10

Re: Possible installation de phpbb3.1.7 sur un forum en 3.0.10 ?

Messagepar Steph » 02 Avr 2016 à 15:08

Steph a écrit:En passant à la version 3.1.x, tu vas perdre tes MODs donc assures toi de trouver ce dont tu as besoin en extension avant de faire la mise à niveau.


Pour la sauvegarde de la base de données, tu trouveras ce qu'il faut dans notre documentation.

Et pour l'arborescence cela dépend de l'hébergeur parfois c'est dans public_html parfois dans www parfois ailleurs.
Avatar de l’utilisateur
Steph
Administrateur
Administrateur
 
Messages: 18397
Enregistré le: 29 Déc 2008 à 16:48
Localisation: Alsace / Bas-Rhin / France

Re: Possible installation de phpbb3.1.7 sur un forum en 3.0.10 ?

Messagepar Myrphak » 02 Avr 2016 à 15:31

Steph a écrit:Pour la sauvegarde de la base de données, tu trouveras ce qu'il faut dans notre documentation.

Ok désolé alors, il semblerait que je n'ai pas assez bien cherché :oops:

Bien, je vois que j'ai un boulot assez monstrueux sur les bras surtout si je dois modifier tous les fichiers du forum à la main.... :shock:
Par rapport à ceci :
Steph a écrit:Nous suggérons généralement de monter en version par palier, dans ton cas 3.0.10 vers 3.0.11 puis 3.0.12, etc.

Est ce que je pourrais me permettre de griller certain paliers ? Par exemple passer de la version 3.0.10 directement à la 3.0.14 ? Puis de 3.0.14 à 3.1.7 ? Ou est ce qu'il manquera des informations importantes ?
Myrphak
Apprenti-posteur
Apprenti-posteur
 
Messages: 157
Enregistré le: 06 Fév 2014 à 00:10

Re: Possible installation de phpbb3.1.7 sur un forum en 3.0.10 ?

Messagepar cabot » 02 Avr 2016 à 18:32

Tu n'as pas besoin de faire les mises à jour 3.0 si tu fais la mise à niveau en 3.1, et pour le coup tu n'auras rien à modifier à la main.
Image
Avatar de l’utilisateur
cabot
Equipe site
Equipe site
 
Messages: 26802
Enregistré le: 13 Fév 2011 à 20:42
Localisation: Rarement sur la plaque

Re: Possible installation de phpbb3.1.7 sur un forum en 3.0.10 ?

Messagepar Myrphak » 03 Avr 2016 à 16:42

Ok Merci, je vais faire comme ça.
Je garde le topic ouvert sous la main pour pouvoir poser des questions si j'ai des problèmes.
Myrphak
Apprenti-posteur
Apprenti-posteur
 
Messages: 157
Enregistré le: 06 Fév 2014 à 00:10

Re: Possible installation de phpbb3.1.7 sur un forum en 3.0.10 ?

Messagepar Myrphak » 24 Avr 2016 à 13:58

YOUHOUOUUU Transfert réussis avec succès !! \o/

Merci à tous pour vos supers conseils ^^

Sujet réglé donc :]
Myrphak
Apprenti-posteur
Apprenti-posteur
 
Messages: 157
Enregistré le: 06 Fév 2014 à 00:10


Retourner vers Mises à jour/Conversions

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 2 invités